Skip to main content
GET
/
v2
/
seller
/
event
Channel Events
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v2/seller/event \
  --header 'Authorization: Bearer <token>'
{ "eventList": [ { "id": "5f56353a5d140073454e9", "createdAt": "2020-08-06T06:40:18+0000", "type": "Channel:ChannelDataChanged", "event": { "channel": "MYBESTDEALDE" } } ] }

Authorizations

Authorization
string
header
required

Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL Customer Center. Usage format: Bearer <JWT>.

Query Parameters

createdAfter
string<date-time>

List all Events chreated after a specified time. If no createdAfter parameter all unacknolaged events are returned.

eventTypeFilter
string

Will only return results matching events given in eventTypeFilter Parameter. Use a comma separated list to filter for multiply events.

channel
string

Will only return results matching given channel.

Response

List of unacknowledged channel and system events

Paginated batch of channel and system events the seller has not yet acknowledged.

eventList
object[]
Maximum array length: 100